/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataRule;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.dataPool.db.entity.DataRule;

import java.io.Serializable;
import java.util.List;

/**
* Restful接口--资源详情--数据传输对象：数据规则表
*
* createdate:  2022-10-24 17:01:18  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据规则表")
public class DataRuleDetailDto extends DataRule implements Serializable
{
    @ApiModelProperty("创建人名称")
    private String creator;
    @ApiModelProperty("修改人名称")
    private String modifier;
    @ApiModelProperty("系统名称")
    private String projectName;
    @ApiModelProperty("引用的资源包名称列表")
    private List<DataResourcePackageInfoDto> jarInfoList;

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public List<DataResourcePackageInfoDto> getJarInfoList() {
        return jarInfoList;
    }

    public void setJarInfoList(List<DataResourcePackageInfoDto> jarInfoList) {
        this.jarInfoList = jarInfoList;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
}